/* $Id$

This file is part of libmspdatafile
Copyright © 2006  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/
#ifndef MSP_DATAFILE_STATEMENT_H_
#define MSP_DATAFILE_STATEMENT_H_

#include <list>
#include "value.h"

namespace Msp {
namespace DataFile {

class Statement
{
public:
	std::string keyword;
	ValueArray  args;
	bool        valid;
	std::string source;
	unsigned    line;
	std::list<Statement> sub;

	Statement(): valid(false), line(0) { }
	std::string get_location() const;
};

} // namespace DataFile
} // namespace Msp

#endif
